# Morning Dev’

Ressources pour les séances du séminaire d’ingénierie [Morning Dev’](http://www.llf.cnrs.fr/MorDev).

## Démarrage rapide

La manière la plus simple d’accéder aux ressources interactives est de lancer le *Binder* en cliquant sur le badge ci-dessous :

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/git/https%3A%2F%2Fsrc.koda.cnrs.fr%2Fllf%2Fnotebooks%2Fmordev/HEAD)

Notez que les environnements *Binder* sont temporaires et que toute activité sera effacée dès que vous aurez quitté la session. Assurez-vous alors de récupérer avant toutes les données qui vous tiennent à cœur.

## Installation

1. Pour exécuter en local les calepins électroniques (*notebooks*) du dépôt, il est conseillé d’installer au préalable un gestionnaire d’environnement Python, comme [Miniconda](https://docs.conda.io/en/latest/miniconda.html)

2. Récupérez ensuite un clone du dépôt :
```sh
$ git clone https://src.koda.cnrs.fr/llf/materials/mordev.git
$ cd python-M1TAL
```
3. Exécutez enfin JupyterLab dans son propre environnement :
```sh
$ conda env create -f environment.yml
$ conda activate mordenv
$ jupyter-lab
```

## Licence

Les ressources du séminaire sont sous licence [CeCILL 2.1](https://cecill.info/licences/Licence_CeCILL_V2.1-fr.html).
